pkgname=galileo-mura
_srctag=v0.9
pkgver=${_srctag//-/.}
pkgrel=1
pkgdesc="Utilities for setting and reading mura correction on Galileo"
arch=(x86_64)
url="https://gitlab.com/evlaV/galileo-mura-extractor"
license=('MIT')
depends=('tar' 'sed')
makedepends=(meson ninja)
source=("git+https://gitlab.com/evlaV/galileo-mura-extractor.git#tag=$_srctag"
		"valve.patch")
sha256sums=('d9704ec6605e0cd13e6f3e04c1fe00a377a19d8873dce94b59ba52beb24789e0'
            '6173154c491fa23350428b8a2de8ca77d75039804198173f13037e501f07e41e')

install=$pkgname.install

prepare() {
	cd "$srcdir/galileo-mura-extractor"
	
    local -a patches
    patches=($(printf '%s\n' "${source[@]}" | grep '.patch'))
    patches=("${patches[@]%%::*}")
    patches=("${patches[@]##*/}")

    if (( ${#patches[@]} != 0 )); then
      for patch in "${patches[@]}"; do
          msg2 "Applying patch $patch..."
          patch -p1 -i "$srcdir/$patch"
      done
    fi
}

build() {
	cd "galileo-mura-extractor"

	rm -rf build
	mkdir build
	cd build
	arch-meson --buildtype release --prefix /usr ..
	ninja
}

package() {
	cd "galileo-mura-extractor/build"

	DESTDIR="$pkgdir" meson install --skip-subprojects
}
